#ifndef TMDisplayingShowDet_H
#define TMDisplayingShowDet_H

#include "TMDisplaying.h"

class TGTextButton;

class TMDisplayingShowDet : public TMDisplaying {

 public:
  TMDisplayingShowDet(const Char_t *frameName, const TGWindow *p, UInt_t width, UInt_t height, TMHistogramming *hist, UInt_t id, UInt_t plotNr, UInt_t cloneId);
  virtual ~TMDisplayingShowDet();

  virtual void   CreateShowHideFrame();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
  
 protected:

  TGTextButton *fShowHideButton;

  Bool_t fShow;

  enum additionalIDs {SHOWHIDE=1000};

  ClassDef(TMDisplayingShowDet, 0)
};

#endif
